NamingUtilityFactory (CMDB Model API)
Keywords: com.collation.platform.model.util.NamingUtilityFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class NamingUtilityFactory

    java.lang.Object
      com.collation.platform.model.util.NamingUtilityFactory

    public class NamingUtilityFactory

extends java.lang.Object

NamingUtility class is used to provide a mapping of Object pointers to unique Guids for the names of the objects

Constructor Summary
`NamingUtilityFactory()`

Method Summary
`static NamingUtility` | `getNamingUtility(java.util.List objectClassList, java.lang.String name)` getNamingUtility returns the instance of NamingUtility identified by the name that is passed in
`static NamingUtility` | `getNamingUtility(java.util.List objectClassList, java.lang.String name, boolean internal, NamingUtilityDataSource ds)` getNamingUtility returns the instance of NamingUtility identified by the name that is passed in

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingUtilityFactory

    public NamingUtilityFactory()

Method Detail

### getNamingUtility

    public static NamingUtility getNamingUtility(java.util.List objectClassList,
                                                 java.lang.String name)

  getNamingUtility returns the instance of NamingUtility identified by the name that is passed in

  Parameters:
    `name:String` - - Name of this instance of NamingUtility
  Returns:
    NamingUtility - The instance of NamingUtility identified by name

### getNamingUtility

    public static NamingUtility getNamingUtility(java.util.List objectClassList,
                                                 java.lang.String name,
                                                 boolean internal,
                                                 NamingUtilityDataSource ds)

  getNamingUtility returns the instance of NamingUtility identified by the name that is passed in

  Parameters:
    `name:String` - - Name of this instance of NamingUtility
  Returns:
    NamingUtility - The instance of NamingUtility identified by name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD